For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
              • GETList Pages (deprecated)
              • POSTCreate Page (deprecated)
              • GETGet Page (deprecated)
              • PUTUpdate Page (deprecated)
              • DELDelete Page (deprecated)
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentStore ContentPages

Update Page (deprecated)

Deprecated
PUT
https://api.bigcommerce.com/stores/:store_hash/v2/pages/:id
PUT
/stores/:store_hash/v2/pages/:id
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v2/pages/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Response
1{
2 "body": "<em>To edit this page simply login to the control panel, click the <strong style='font-weight: 400'>Website Content</strong> tab and choose the </em> <strong style='font-weight: 400'><em>View Web  ...",
3 "channel_id": 11,
4 "has_mobile_version": false,
5 "id": 2,
6 "is_customers_only": false,
7 "is_homepage": false,
8 "is_visible": true,
9 "layout_file": "page.html",
10 "link": "",
11 "meta_description": "Learn about our shipping and returns policies to shop with confidence.",
12 "meta_keywords": "shipping, returns, policy, refund",
13 "meta_title": "Shipping & Returns - Our Policies",
14 "mobile_body": "",
15 "name": "Shipping & Returns",
16 "parent_id": 0,
17 "search_keywords": "shipping, returns, refund, delivery",
18 "sort_order": 2,
19 "type": "page",
20 "url": "/shipping-returns/"
21}
Updates a *Page*. The request payload limit is 1MB. **Read Only Fields** * id > #### Warning > **Deprecated** > * This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version. > * To update multiple pages, use Pages V3ʼs [Update pages](/developer/api-reference/rest/admin/content/pages/update-pages) endpoint. To update a single page, use Pages V3ʼs [Update a page](/developer/api-reference/rest/admin/content/pages/update-page) endpoint. > * Updating the channel ID for a page is not supported.
Was this page helpful?
Previous

Get Page (deprecated)

Next

Delete Page (deprecated)

Built with

Updates a Page. The request payload limit is 1MB.

Read Only Fields

  • id

Warning

Deprecated

  • This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version.
  • To update multiple pages, use Pages V3ʼs Update pages endpoint. To update a single page, use Pages V3ʼs Update a page endpoint.
  • Updating the channel ID for a page is not supported.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

idintegerRequired
ID of the page.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
bodystringOptional

HTML or variable that populates this page’s <body> element, in default/desktop view. Required in POST if page type is raw.

channel_iddoubleOptional
Channel ID.
contact_fieldsstringOptional

Where the page’s type is a contact form - object whose members are the fields enabled (in the control panel) for storefront display. Possible members are:fullname - full name of the customer submitting the form; phone - customer’s phone number, as submitted on the form; companyname- customer’s submitted company name; orderno- customer’s submitted order number; rma - customer’s submitted RMA (Return Merchandise Authorization) number.

content_typeenumOptional
Allowed values:
emailstringOptional

Where the page’s type is a contact form, the email address that receives messages sent using the form.

has_mobile_versionbooleanOptional

If true, this page has a mobile version. (For Blueprint themes only)

is_customers_onlybooleanOptional
If true, this page is for customers only.
is_homepagebooleanOptional

If true, this page is the storefront’s home page.

is_visiblebooleanOptional
If true, this page appears in the storefront navigation menu.
layout_filestringOptional
Layout template for this page. This field is writable only for stores with a Blueprint theme applied.
linkstringOptional

If page type is link, this field is returned.

meta_descriptionstringOptional

Description contained within this page’s <meta/> element. HTML to use for this page’s body when viewed in the mobile template.

meta_keywordsstringOptional

Comma-separated list of SEO-relevant keywords to include in the page’s <meta/> element.

meta_titlestringOptional

Text specified for this page’s <title> element. If empty, the value of the name property is used.

mobile_bodystringOptional

HTML to use for this page’s body when viewed in the mobile template (deprecated - Blueprint only).

namestringOptional
Page name, as displayed on the storefront.
parent_idintegerOptional
ID of any parent Web page.
search_keywordsstringOptional

Comma-separated list of keywords that shoppers can use to locate this page when searching the store.

sort_orderintegerOptional

Order in which this page should display on the storefront. (Lower integers specify earlier display.)

typeenumOptional

page: free-text page link: link to another web address contact_form: When the store’s contact form is used

Allowed values:
urlstringOptional
Relative URL on the storefront for this page.

Response

bodystring

HTML or variable that populates this page’s <body> element, in default/desktop view. Required in POST if page type is raw.

channel_iddouble
Channel ID.
contact_fieldsstring

Where the page’s type is a contact form - object whose members are the fields enabled (in the control panel) for storefront display. Possible members are:fullname - full name of the customer submitting the form; phone - customer’s phone number, as submitted on the form; companyname- customer’s submitted company name; orderno- customer’s submitted order number; rma - customer’s submitted RMA (Return Merchandise Authorization) number.

content_typeenum
Allowed values:
emailstring

Where the page’s type is a contact form, the email address that receives messages sent using the form.

has_mobile_versionboolean

If true, this page has a mobile version. (For Blueprint themes only)

idintegerRead-only

ID of the page. Read-Only.

is_customers_onlyboolean
If true, this page is for customers only.
is_homepageboolean

If true, this page is the storefront’s home page.

is_visibleboolean
If true, this page appears in the storefront navigation menu.
layout_filestring
Layout template for this page. This field is writable only for stores with a Blueprint theme applied.
linkstring

If page type is link, this field is returned.

meta_descriptionstring

Description contained within this page’s <meta/> element. HTML to use for this page’s body when viewed in the mobile template.

meta_keywordsstring

Comma-separated list of SEO-relevant keywords to include in the page’s <meta/> element.

meta_titlestring

Text specified for this page’s <title> element. If empty, the value of the name property is used.

mobile_bodystring

HTML to use for this page’s body when viewed in the mobile template (deprecated - Blueprint only).

namestring
Page name, as displayed on the storefront.
parent_idinteger
ID of any parent Web page.
search_keywordsstring

Comma-separated list of keywords that shoppers can use to locate this page when searching the store.

sort_orderinteger

Order in which this page should display on the storefront. (Lower integers specify earlier display.)

typeenum

page: free-text page link: link to another web address contact_form: When the store’s contact form is used

Allowed values:
urlstring
Relative URL on the storefront for this page.

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.